Как установить PHP 5.6 на Linux Mint (Ubuntu)

Установить сервер на Linux не просто легко, а очень легко. Но в репозиториях всегда устаревшие версии программ. Например, PHP там ветки 5.5.

Ubuntu (и, естественно, Linux Mint) по умолчанию поставляются с PHP 5.5, но если вы хотите использовать PHP 5.6, то вас от этого отделяют всего три строки в командной строке. Говорят, что нижеследующая инструкция для «чистой установки». Т.е. для тех, кто ещё не успел поставить PHP, и что она не для обновления уже установленного PHP. Я не знаю, но у меня всё сработало прекрасно, хотя PHP я установил вместе с свервером в той инструкции, на которую выше дал ссылку. При установке на «чистую» систему, всё должно пройти идеально — проверено на многих машинах. При обновлении существующего PHP появятся дополнительные вопросы о конфигурационном файле (я поменял на новый из пакета, но вы можете поступить по своему желанию — синтаксис файла настройки одинаков для PHP 5.5 и для PHP 5.6.

01

Апач также работает, я проверил.

1. Добавляем источник пакета PHP 5.6 на вашу систему:

sudo add-apt-repository ppa:ondrej/php5-5.6

02

и подтверждаем с ENTER. Если вы видите здесь ошибку, вам нужно установить в первую очередь python-software-properties (а затем вернуться опять к предыдущему шагу):

sudo apt-get update

sudo apt-get install python-software-properties

2. Обновление

sudo apt-get update

3. Установка PHP

sudo apt-get install php5

03

для проверки версии делаем:

php5 -v

04

Ура! Между прочим, этот предельно-простой-для-установки пакет PHP 5.6 был создан Ondřej Surý, следовательно, можете подумать о стимулировании этого человека, подкинув ему деньжат на пиво или на кофе на его странице помощи.

1 комментарий к “Как установить PHP 5.6 на Linux Mint (Ubuntu)”

  1. Как его запустить? Не работает у меня локальный сервер. В смысле не исполняются сценарии php

    Ответить

Оставьте комментарий